Package com.sas.lsaf.workflow.processflow

## Class ProcessFlowDescriptor

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.workflow.processflow.ProcessFlowDescriptor

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`
  Direct Known Subclasses:
    `ProcessFlow`

      public class ProcessFlowDescriptor
      extends AbstractIdentifiable

  A lightweight client that represents a process flow. See `ProcessFlow` for details.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ProcessFlowDescriptor.FlowStatus` | The statuses of a process flow.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProcessFlowDescriptor​(java.lang.String id, java.lang.String contextId, java.lang.String contextPath, java.lang.String name, java.lang.String description, ProcessFlowDescriptor.FlowStatus status, java.lang.String owner, ProcessDefinitionInfo processDefinitionInfo, java.lang.String createdBy, java.util.Date created, java.lang.String lastModifiedBy, java.util.Date lastModified, long revision, AutoFlowType autoFlowType)` | The initializing constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `AutoFlowType` | `getAutoFlowType()` | Gets the type of the source from which the process flow was automatically created.
    `java.lang.String` | `getContextId()` | Gets the context of the process flow.
    `java.lang.String` | `getContextPath()` | Gets the path of the context of the process flow.
    `java.util.Date` | `getCreated()` | Gets the date on which the process flow was created.
    `java.lang.String` | `getCreatedBy()` | Gets the userId of the user who created the process flow.
    `java.lang.String` | `getDescription()` | Gets the description of the process flow.
    `java.util.Date` | `getLastModified()` | Gets the date on which the process flow was last modified.
    `java.lang.String` | `getLastModifiedBy()` | Gets the userId of the user who last modified the process flow.
    `java.lang.String` | `getName()` | Gets the name of the process flow.
    `java.lang.String` | `getOwner()` | Gets the userId of the owner of the process flow.
    `ProcessDefinitionInfo` | `getProcessDefinitionInfo()` | Gets the process flow definition information that was used to create the process flow.
    `long` | `getRevision()` | Gets the internal revision number of the process flow object.
    `ProcessFlowDescriptor.FlowStatus` | `getStatus()` | Gets the status of the process flow.
    `int` | `hashCode()` |
    `void` | `setDescription​(java.lang.String description)` | Sets the description of the process flow.
    `void` | `setName​(java.lang.String name)` | Sets the name of the process flow.
    `void` | `setOwner​(java.lang.String owner)` | Sets the userId of the owner of the process flow.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessFlowDescriptor

          public ProcessFlowDescriptor​(java.lang.String id,
                                       java.lang.String contextId,
                                       java.lang.String contextPath,
                                       java.lang.String name,
                                       java.lang.String description,
                                       ProcessFlowDescriptor.FlowStatus status,
                                       java.lang.String owner,
                                       ProcessDefinitionInfo processDefinitionInfo,
                                       java.lang.String createdBy,
                                       java.util.Date created,
                                       java.lang.String lastModifiedBy,
                                       java.util.Date lastModified,
                                       long revision,
                                       AutoFlowType autoFlowType)

      The initializing constructor.
      Parameters:
        `id` - The unique identifier of the process flow.
        `contextId` - The identifier of the context in which the process flow was created.
        `contextPath` - The path of the context in which the process flow was created.
        `name` - The name of the process flow.
        `description` - The description of the process flow.
        `status` - The status of the process flow.
        `owner` - The owner of the process flow.
        `processDefinitionInfo` - The process flow definition information of the process flow.
        `createdBy` - The user who created the process flow.
        `created` - The date on which the process flow was created.
        `lastModifiedBy` - The user who last modified the process flow.
        `lastModified` - The date on which the process flow was last modified.
        `revision` - The internal revision number.
        `autoFlowType` - The type of the source from which the process flow was automatically created.
      Since:
        2.4

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the name of the process flow.
      Returns:
        The name.

    - #### setName

          public void setName​(java.lang.String name)

      Sets the name of the process flow.
      Parameters:
        `name` - The name.

    - #### getContextId

          public java.lang.String getContextId()

      Gets the context of the process flow.
      Returns:
        The context.

    - #### getContextPath

          public java.lang.String getContextPath()

      Gets the path of the context of the process flow.
      Returns:
        The path.

    - #### getDescription

          public java.lang.String getDescription()

      Gets the description of the process flow.
      Returns:
        The description.

    - #### setDescription

          public void setDescription​(java.lang.String description)

      Sets the description of the process flow.
      Parameters:
        `description` - The description.

    - #### getLastModified

          public java.util.Date getLastModified()

      Gets the date on which the process flow was last modified.
      Returns:
        The date.

    - #### getLastModifiedBy

          public java.lang.String getLastModifiedBy()

      Gets the userId of the user who last modified the process flow.
      Returns:
        The userId.

    - #### getCreated

          public java.util.Date getCreated()

      Gets the date on which the process flow was created.
      Returns:
        The date on which the process flow was created.

    - #### getCreatedBy

          public java.lang.String getCreatedBy()

      Gets the userId of the user who created the process flow.
      Returns:
        The userId.

    - #### getOwner

          public java.lang.String getOwner()

      Gets the userId of the owner of the process flow.
      Returns:
        The userId.

    - #### setOwner

          public void setOwner​(java.lang.String owner)

      Sets the userId of the owner of the process flow.
      Parameters:
        `owner` - The userId.

    - #### getStatus

          public ProcessFlowDescriptor.FlowStatus getStatus()

      Gets the status of the process flow.
      Returns:
        The status.

    - #### getProcessDefinitionInfo

          public ProcessDefinitionInfo getProcessDefinitionInfo()

      Gets the process flow definition information that was used to create the process flow.
      Returns:
        The process flow definition information.

    - #### getRevision

          public long getRevision()

      Gets the internal revision number of the process flow object.
      Returns:
        The internal revision number.

    - #### getAutoFlowType

          public AutoFlowType getAutoFlowType()

      Gets the type of the source from which the process flow was automatically created. If the process flow was created manually, null is returned.
      Returns:
        The type of the source from which the process flow was automatically created.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractIdentifiable`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `AbstractIdentifiable`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AbstractIdentifiable`